"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault").default;
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.webSsrServerHandler = exports.webServerHandler = void 0;
var _execa = _interopRequireDefault(require("execa"));
var _projectConfig = require("@redwoodjs/project-config");
var _exit = require("../lib/exit");
const webSsrServerHandler = async () => {
  await (0, _execa.default)('yarn', ['rw-serve-fe'], {
    cwd: (0, _projectConfig.getPaths)().web.base,
    stdio: 'inherit',
    shell: true
  });
};
exports.webSsrServerHandler = webSsrServerHandler;
const webServerHandler = async argv => {
  try {
    await (0, _execa.default)('yarn', ['rw-web-server', '--port', argv.port, '--socket', argv.socket, '--api-host', argv.apiHost], {
      cwd: (0, _projectConfig.getPaths)().base,
      stdio: 'inherit',
      shell: true
    });
  } catch (e) {
    // `@redwoodjs/web-server` uses a custom error exit code to tell this handler that an error has already been handled.
    // While any other exit code than `0` is considered an error, there seems to be some conventions around some of them
    // like `127`, etc. We chose 64 because it's in the range where there deliberately aren't any previous conventions.
    // See https://tldp.org/LDP/abs/html/exitcodes.html.
    if (e.exitCode === 64) {
      process.exitCode = 1;
      return;
    }
    (0, _exit.exitWithError)(e);
  }
};
exports.webServerHandler = webServerHandler;