"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js/object/define-property");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = void 0;
var _cliHelpers = require("@redwoodjs/cli-helpers");
var _packages = require("../lib/packages");
const handler = async options => {
  try {
    // Check the module is installed
    if (!(0, _packages.isModuleInstalled)('@redwoodjs/studio')) {
      console.log('The studio package is not installed, installing it for you, this may take a moment...');
      await (0, _packages.installModule)('@redwoodjs/studio', '11.0.1');
      console.log('Studio package installed successfully.');
      console.log('Adding config to redwood.toml...');
      (0, _cliHelpers.setTomlSetting)('studio', 'enabled', true);
    }

    // Import studio and start it
    const {
      serve
    } = await import('@redwoodjs/studio');
    await serve({
      open: options.open,
      enableWeb: true
    });
  } catch (e) {
    console.log('Cannot start the development studio');
    console.log(e);
    process.exit(1);
  }
};
exports.handler = handler;