"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault").default;
var _globalThis2 = _interopRequireDefault(require("@babel/runtime-corejs3/core-js/global-this"));
var _testUtils = require("./testUtils");
/* eslint-env node, jest */

// Disable telemetry within framework tests
process.env.REDWOOD_DISABLE_TELEMETRY = 1;
const fs = require('fs');
const path = require('path');
_globalThis2.default.matchTransformSnapshot = require('./testUtils/matchTransformSnapshot').matchTransformSnapshot;
_globalThis2.default.matchInlineTransformSnapshot = require('./testUtils/matchInlineTransformSnapshot').matchInlineTransformSnapshot;
_globalThis2.default.matchFolderTransform = require('./testUtils/matchFolderTransform').matchFolderTransform;

// Custom matcher for checking fixtures using paths
// e.g. expect(transformedPath).toMatchFileContents(expectedPath)
// Mainly so we throw more helpful errors
expect.extend({
  toMatchFileContents(receivedPath, expectedPath, {
    removeWhitespace
  } = {
    removeWhitespace: false
  }) {
    let pass = true;
    let message = '';
    try {
      let actualOutput = fs.readFileSync(receivedPath, 'utf-8');
      let expectedOutput = fs.readFileSync(expectedPath, 'utf-8');
      if (removeWhitespace) {
        actualOutput = actualOutput.replace(/\s/g, '');
        expectedOutput = expectedOutput.replace(/\s/g, '');
      }
      expect((0, _testUtils.formatCode)(actualOutput)).toEqual((0, _testUtils.formatCode)(expectedOutput));
    } catch (e) {
      const relativePath = path.relative(path.join(__dirname, 'src/commands/setup'), expectedPath);
      pass = false;
      message = `${e}\nFile contents do not match for fixture at: \n ${relativePath}`;
    }
    return {
      pass,
      message: () => message,
      expected: expectedPath,
      received: receivedPath
    };
  }
});